tags 356455 + pending
thanks

I've uploaded the following NMU to delayed-2.


diff -u pingus-0.6.0/debian/patches/00list pingus-0.6.0/debian/patches/00list
--- pingus-0.6.0/debian/patches/00list
+++ pingus-0.6.0/debian/patches/00list
@@ -10,0 +11 @@
+70_gcc41
diff -u pingus-0.6.0/debian/changelog pingus-0.6.0/debian/changelog
--- pingus-0.6.0/debian/changelog
+++ pingus-0.6.0/debian/changelog
@@ -1,3 +1,10 @@
+pingus (0.6.0-8.4) unstable; urgency=low
+
+  * NMU as part of the GCC 4.1 transition.
+  * patches/51_gcc41.dpatch: Include cassert. (Closes: #356455).
+
+ -- Martin Michlmayr <[EMAIL PROTECTED]>  Thu, 25 May 2006 22:51:25 +0200
+
 pingus (0.6.0-8.3) unstable; urgency=low
 
   * Non-maintainer upload.
only in patch2:
unchanged:
--- pingus-0.6.0.orig/debian/patches/70_gcc41.dpatch
+++ pingus-0.6.0/debian/patches/70_gcc41.dpatch
@@ -0,0 +1,35 @@
+#!/bin/sh -e
+## 51_gcc41.dpatch by Martin Michlmayr
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Get source building with GCC 4.1  (bug #356455)
+
+if [ $# -lt 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+       -patch) patch $patch_opts -p1 < $0;;
+       -unpatch) patch $patch_opts -p1 -R < $0;;
+        *)
+                echo >&2 "`basename $0`: script expects -patch|-unpatch as 
argument"
+                exit 1;;
+esac
+
+exit 0
+
[EMAIL PROTECTED]@
+--- a/src/worldmap/graph.hxx~  2006-03-12 04:18:22.000000000 +0000
++++ b/src/worldmap/graph.hxx   2006-03-12 04:19:19.000000000 +0000
+@@ -23,6 +23,7 @@
+ #include <algorithm>
+ #include <vector>
+ #include <iostream>
++#include <cassert>
+ 
+ namespace WorldMapNS {
+ 

-- 
Martin Michlmayr
http://www.cyrius.com/


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]

Reply via email to